/*
 * Component Name: WAS.isc.isclite.cp
 * 
 * Licensed Materials - Property of IBM
 * 5724-I63, 5724-H88, 5655-N02, 5733-W70 
 * Copyright IBM Corp. 2006, 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with
 * IBM Corp.
 * 
 */
 
// Form Persistence TaskBar specific functions

// add From Persistence handlers on the taskbar frame
function fpAddTaskBarHandlers(){

  if (window.Event){ // only for FireFox
  
  	if(parent.detail.fpCurrentPageId){ // add handlers only if the page loaded in WorkArea frame is enabled for FP
  		    window.captureEvents(Event.CLICK);
  	  	 	window.onclick= fpResetSubmitForm;
  	  	 
  	  		window.captureEvents(Event.KEYPRESS); 
  	    	window.onkeypress = fpResetSubmitForm;
    }
    
  }
}// end fpAddTaskBarHandlers();

// reset submiting form name from the TaskBar
function fpResetSubmitForm(){

       if(parent.detail.fpCurrentPageId){
	      parent.detail.fpSubmitFormName="";
       }
}

function fpSkipPersistenceOnUnload(){

      if(parent.detail.fpCurrentPageId){
        parent.detail.fpSkipPersistenceOnUnload=true;
      }
      
}

function fpTaskBarDropDownListHandler(){
    
  var taskBarDropDownList             =  document.getElementById("PageAction");
  var taskBarDropDownListDestination  =  taskBarDropDownList.options[taskBarDropDownList.selectedIndex].value;
  
  if(taskBarDropDownListDestination.indexOf("close")>=0){ // closing  focused page
    fpSkipPersistenceOnUnload();
  }
  
  // go to the page
  parent.detail.location=taskBarDropDownListDestination;
}
